Skip to main content
GET
/
v1
/
me
Show current user
curl --request GET \
  --url https://api.slant.app/v1/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "abc123xyz",
  "email": "user@example.com",
  "first_name": "John",
  "last_name": "Doe",
  "api_access": {
    "auth_type": "personal_access_token",
    "scope": "read_write"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.slant.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Response

current user retrieved

id
string
required

The ID of the user

Example:

"abc123xyz"

email
string<email>
required

Email address of the user

Example:

"user@example.com"

first_name
string | null
required

First name of the user

Example:

"John"

last_name
string | null
required

Last name of the user

Example:

"Doe"

api_access
object

Authentication details for the current personal access token. Only present on /v1/me when authenticating with a PAT.